import { ComponentInterface, EventEmitter } from '../stencil-public-runtime';
import { MonacoEditorOptions } from '../types/options';
export declare class MonacoEditor implements ComponentInterface {
  private el;
  options: MonacoEditorOptions;
  editorDidLoad: EventEmitter<void>;
  private editor?;
  private div;
  private readonly defaultOptions;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  setFocus(): Promise<void>;
  save(): Promise<string | undefined>;
  render(): any;
}
